Core - Feature # 52440

Task # 49162 (Resolved): Rewrite install tool

Status: New Priority: Should have

Author: Ernesto Baschny Category: 7 Install Improvements
Created: 2013-10-01 Assigned To:

Updated: 2015-07-13 Due date:

PHP Version:

Complexity:

Sprint Focus:

Subject:

Disable certain tools in Install Tool if "LocalConfiguration" is not writeable

Description

If you go to All Configuration or Configuration Presets while your LocalConfiguration.php file is not writeable, you will end up in the
redirect to the "Extension check", which is misleading and doesn't help the user understand the problem.

We should

a) provide a Folder Structure check to see if LocalConfiguration.php is indeed writable and display an Error (red badge) if not

b) disable with a Warning / Error box all tools which somehow need to write to the LocalConfiguration in some way. The

"Actioninterface" could provide a method to declare if "needs localconfiguration" write access and depending on that display the

warning instead of handling the action as usual.

History

#1 - 2013-10-02 00:10 - Christian Kuhn

- Parent task set to #49162

#2 - 2015-01-18 22:48 - Mathias Schreiber

- Target version changed from 6.2.0 to 7.4 (Backend)

#3 - 2015-07-13 19:42 - Susanne Moog

- Category changed from Install Tool to 7 Install Improvements
